Loading...
Searching...
No Matches
stdex::sha1_hash Class Reference

Hashes as SHA1. More...

`#include <stdex/hash.hpp>`

Inheritance diagram for stdex::sha1_hash:

## Public Member Functions

virtual void | clear ()
| Initializes hash value and internal state.
virtual void | finalize ()
| Finalizes hash value.
Public Member Functions inherited from stdex::block_hash< sha1_t >
virtual void | hash (_In_reads_bytes_opt_(length) const void *data, size_t length)
| Hashes block of data.
Public Member Functions inherited from stdex::basic_hash< T >
const T & | data ()
| Returns hash value.
| operator const T & () const
| Returns hash value.

## Protected Member Functions

virtual void | hash_block ()

## Protected Attributes

uint32_t | m_state [5]
Protected Attributes inherited from stdex::block_hash< sha1_t >
uint32_t | m_counter [2]
union { |
uint8_t m_queue [64] |
uint32_t m_temp [16] |
}; |  |
Protected Attributes inherited from stdex::basic_hash< T >
T | m_value

## Additional Inherited Members

Static Public Member Functions inherited from stdex::basic_hash< T >
static size_t | size ()
| Returns size of the hash value in bytes.
Public Attributes inherited from stdex::block_hash< sha1_t >
uint8_t | m_queue [64]
uint32_t | m_temp [16]

## Detailed Description

Hashes as SHA1.

## Member Function Documentation

## clear()

virtual void stdex::sha1_hash::clear | ( |  | ) |

inlinevirtual

Initializes hash value and internal state.

Reimplemented from stdex::block_hash< sha1_t >.

## finalize()

virtual void stdex::sha1_hash::finalize | ( |  | ) |

inlinevirtual

Finalizes hash value.

Implements stdex::basic_hash< T >.

## hash_block()

virtual void stdex::sha1_hash::hash_block | ( |  | ) |

inlineprotectedvirtual

Implements stdex::block_hash< sha1_t >.

The documentation for this class was generated from the following file:

- include/stdex/hash.hpp